> ## Documentation Index
> Fetch the complete documentation index at: https://adp-doc.laiye.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Global Invoices and receipts - high-speed

> Use ADP preset applications to extract fields from Global Invoices and receipts at high speed.

## Overview

Global Invoices and receipts - high-speed uses the document extraction API.

```http theme={null}
POST /open/agentic_doc_processor/{tenant_name}/v1/app/doc/extract
```

Async tasks use the same request body:

```http theme={null}
POST /open/agentic_doc_processor/{tenant_name}/v1/app/doc/extract/create/task
GET /open/agentic_doc_processor/{tenant_name}/v1/app/doc/extract/query/task/{task_id}
```

## Request parameters

| Name                  | Type    | Required | Description                                                                            |
| --------------------- | ------- | -------- | -------------------------------------------------------------------------------------- |
| `tenant_name`         | string  | Yes      | Tenant name. Default: `laiye`.                                                         |
| `app_id`              | string  | Yes      | Unique ID of the preset application. View it in **View API**.                          |
| `file_base64`         | string  | Optional | Base64 content of the file. Use either `file_base64` or `file_url`.                    |
| `file_url`            | string  | Optional | Online file URL. Use either `file_url` or `file_base64`. Only HTTP URLs are supported. |
| `enable_multi_ticket` | boolean | No       | Whether to enable multi-ticket recognition. Default: `true`.                           |

## Fields

| Field                   | Type           | Notes            |
| ----------------------- | -------------- | ---------------- |
| Country Code            | Text           |                  |
| Invoice Number          | Text           |                  |
| Invoice Date            | Text           |                  |
| Supplier Name           | Text           |                  |
| Supplier Address        | Text           |                  |
| Supplier VAT Number     | Text           |                  |
| Supplier Phone          | Text           |                  |
| Customer Name           | Text           |                  |
| Customer Address        | Text           |                  |
| Customer VAT Number     | Text           |                  |
| Customer Phone          | Text           |                  |
| Payer Country           | Text           |                  |
| Currency                | Text           |                  |
| Total Without Tax       | Text           |                  |
| VAT Rate                | Text           |                  |
| VAT Amount              | Text           |                  |
| Total Tax               | Text           |                  |
| Total Amount            | Text           |                  |
| Amount Due              | Text           |                  |
| Supplier Bank Name      | Text           |                  |
| Supplier Account Number | Text           |                  |
| WHT Type                | Text           | SEA version only |
| WHT Rate                | Text           | SEA version only |
| WHT Amount              | Text           | SEA version only |
| Line Items              | Table          |                  |
| Item Code               | Table subfield |                  |
| Description             | Table subfield |                  |
| Quantity                | Table subfield |                  |
| Unit Price              | Table subfield |                  |
| Tax Rate                | Table subfield |                  |
| Tax Amount              | Table subfield |                  |
| Line WHT Rate           | Table subfield | SEA version only |
| Line WHT Tax            | Table subfield | SEA version only |
| Total Amount            | Table subfield |                  |
| Receipt Number          | Table subfield |                  |
| Receipt Date            | Table subfield |                  |
| Total Amount (Inc. Tax) | Table subfield |                  |
